Get a list of organizations
get
/Organization
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of organizations that meet the supplied query parameters.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
address: string
Text matched against coded and plain-text address fields.
-
name: string
Organization name text.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : BundleEntryForOrganization
Type:
Show Source
object-
fullUrl: string
The resource URL.
-
resource:
resource
-
search: object
BundleEntrySearch
Nested Schema : resource
Match One Schema
Show Source
-
object
Organization
A formally or informally recognized grouping of people or organizations.
-
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Organization
Type:
objectA formally or informally recognized grouping of people or organizations.
Show Source
-
active(required): boolean
Whether the organization record is active.
-
address: array
address
The addresses for the organization.
-
id(required): string
The logical ID of the organization.
-
identifier(required): array
identifier
The identifiers for the organization.
-
name(required): string
The human-readable organization name.
-
resourceType(required): string
Allowed Values:
[ "Organization" ] -
telecom: array
telecom
The contact details for the organization.
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source